module ExtensionsTimeAs

#------------------------------------------------------------
def as_iso_date_time
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%Y-%m-%d %H:%M:%S")
end

#------------------------------------------------------------
def as_iso_date
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%Y-%m-%d")
end

#------------------------------------------------------------
def as_moDDYYYY
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%b %d, %Y")
end

#------------------------------------------------------------
def as_moDDYYYY_time12mins
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%b %d, %Y %I:%M %p")
end

#------------------------------------------------------------
def as_moDDYYYY_time12secs
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%b %d, %Y %I:%M:%S %p")
end

#------------------------------------------------------------
def as_moDDYYYY_time24secs
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%b %d, %Y %H:%M:%S")
end

#------------------------------------------------------------
def as_monthDDYYYY
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%B %d, %Y")
end

#------------------------------------------------------------
def as_moYYYY
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%b %Y")
end

#------------------------------------------------------------
def as_monthYYYY
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%B %Y")
end

#------------------------------------------------------------
def as_MMYY
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%m/%y")
end

#: -
#------------------------------------------------------------
def as_time12secs
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%I:%M:%S %p")
end

#------------------------------------------------------------
def as_time12mins
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%I:%M %p")
end

#------------------------------------------------------------
def as_time24secs
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%H:%M:%S")
end

#------------------------------------------------------------
def as_time24mins
	the_date = self
	the_date = Time.from_string(the_date) if the_date.is_a?(String)
	return the_date.strftime("%H:%M")
end


end
