class Date

#------------------------------------------------------------
def as_iso_date_time
	return self.strftime("%Y-%m-%d %H:%M:%S")
end

#------------------------------------------------------------
def as_iso_date
	return self.strftime("%Y-%m-%d")
end

#------------------------------------------------------------
def as_moDDYYYY
	return self.strftime("%b %d, %Y")
end

#------------------------------------------------------------
def as_monthDDYYYY
	return self.strftime("%B %d, %Y")
end

#------------------------------------------------------------
def as_moYYYY
	return self.strftime("%b %Y")
end

#------------------------------------------------------------
def as_monthYYYY
	return self.strftime("%B %Y")
end

#: -
#------------------------------------------------------------
def as_age
	unless self.nil?
		age = Date.today.year - self.year
		if Date.today.month < self.month || (Date.today.month == self.month && self.day >= Date.today.day)
			age = age - 1
			end
  		age.to_s
		return age
	end
	nil
end

#------------------------------------------------------------
def as_age_from(as_of_date=Date.today)
	unless self.nil?
		age = self.year - as_of_date.year
		if as_of_date.month < self.month || (as_of_date.month == self.month && self.day >= as_of_date.day)
			age = age - 1
			end
  		age.to_s
		return age
	end
	nil
end

#: -
#------------------------------------------------------------
def days_elapsed
	unless self.nil?
		return (Time.now - self) / 86400
	end
	return 0
end

#------------------------------------------------------------
def hours_elapsed
	unless self.nil?
		return (Time.now - self) / 3600
	end
	return 0
end

#------------------------------------------------------------
def secs_elapsed
	unless self.nil?
		return (Time.now - self)
	end
	return 0
end

#------------------------------------------------------------
def mins_elapsed
	unless self.nil?
		return (Time.now - self) / 60
	end
	return 0
end

end

